# TdApi.UpdateMessageContent (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateMessageContent

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageContent

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageContent extends TdApi.Update
The message content has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Message identifier.
`TdApi.MessageContent`
`newContent`
New message content.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageContent()`
The message content has changed.
`UpdateMessageContent(long chatId, long messageId, TdApi.MessageContent newContent)`
The message content has changed.
`UpdateMessageContent(DataInput input)`
The message content has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### newContent

public TdApi.MessageContent newContent
New message content.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageContent

public UpdateMessageContent()
The message content has changed.

### UpdateMessageContent

public UpdateMessageContent(long chatId, long messageId, TdApi.MessageContent newContent)
The message content has changed.

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.
  `newContent` - MessageContent New message content.

### UpdateMessageContent

public UpdateMessageContent(DataInput input) throws IOException
The message content has changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`